diff --git a/Makefile.am b/Makefile.am
index 74b8939..602a1c1 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -10,13 +10,9 @@ noinst_HEADERS = geanyvc.h makefile.win32
 lib_LTLIBRARIES = geanyvc.la
 geanyvc_la_SOURCES = geanyvc.c vc_git.c vc_cvs.c vc_svn.c vc_svk.c vc_bzr.c vc_hg.c
 geanyvc_la_LDFLAGS = -module -avoid-version
-geanyvc_la_LIBADD  = @GTK_LIBS@
+geanyvc_la_LIBADD  = @GEANY_LIBS@

-AM_CPPFLAGS = @GTK_CFLAGS@ \
-		-I$(GEANY_SRC)/src \
-		-I$(GEANY_SRC)/plugins \
-		-I$(GEANY_SRC)/tagmanager/include \
-		-I$(GEANY_SRC)/scintilla/include
+AM_CPPFLAGS = @GEANY_CFLAGS@


 install: .libs/geanyvc.so
diff --git a/configure.in b/configure.in
index 39eacdf..4830536 100644
--- a/configure.in
+++ b/configure.in
@@ -11,25 +11,9 @@ AM_CONFIG_HEADER(config.h)
 AC_PROG_CC
 AC_PROG_LIBTOOL

-PKG_CHECK_MODULES(GTK, [gtk+-2.0])
-AC_SUBST(GTK_CFLAGS)
-AC_SUBST(GTK_LIBS)
-
-dnl check for geany source location
-
-AC_ARG_WITH(geany-src, [  --with-geany-src=ARG	Geany source code location (default ../geany)],[
-GEANY_SRC=${withval}
-],[
-GEANY_SRC=../geany
-])
-AC_CHECK_FILE(${GEANY_SRC}/src/geany.h,[],[
-echo "FATAL ERROR: Geany source code not found"
-echo "make sure you install Geany source code"
-echo "Use --with-geany-src=ARG option to"
-echo "specify it's location"
-exit 1
-])
-AC_SUBST(GEANY_SRC)
+PKG_CHECK_MODULES(GEANY, [geany])
+AC_SUBST(GEANY_CFLAGS)
+AC_SUBST(GEANY_LIBS)

 dnl Check for GtkSpell support
 AC_MSG_CHECKING([whether to use GtkSpell])
